function Test_Project2()
%% Load in our test images.

univ = imread('prova.bmp');

univ = rgb2gray(univ);


%% Adaptive equalization tests.

i=[3 6 12 24 99 198];

ahe_univ = [];


 for ii=i
    tic;
    ahe_univ = [ahe_univ; AHE( univ, 256, ii )];
    toc
%     tic;
%     ahe_chang = [ahe_chang; AHE( chang, 256, ii )];
%     toc;
%     tic;
%     ahe_crowd = [ahe_crowd; AHE( crowd, 256, ii )];
%     toc;
%     tic;
%     ahe_portal = [ahe_portal; AHE( portal, 256, ii )];
%     toc;
%     tic;
%     ahe_bands = [ahe_bands; AHE( bands, 256, ii )];
%     toc;
%     tic;
%     ahe_snp = [ahe_snp; AHE( saltnpepper, 256, ii )];
%     toc;
%     tic;
%     ahe_walle = [ahe_walle; AHE( walle, 256, ii )];
%     toc;
 end

%% Show adaptive equalization tests.

imshow(ahe_univ);


%% Save adaptive equalization tests.

imwrite(ahe_univ,   'ahe_univ.bmp', 'bmp');
 

%% CLAHE tests

clahe_univ = [];


%%i=[99 198];
%%for ii=i
   for k=0.0000001:0.0000001:0.0000003
        tic;
        clahe_univ = [clahe_univ; CLAHE( univ, 256, k, 198)];
        toc
        tic;
%         clahe_chang = [clahe_chang; CLAHE( chang, 256, k, ii )];
%         toc
%         tic;
%         clahe_crowd = [clahe_crowd; CLAHE( crowd, 256, k, ii )];
%         toc
%         tic;
%         clahe_portal = [clahe_portal; CLAHE( portal, 256, k, ii )];
%         toc
%         tic;
%         clahe_bands = [clahe_bands; CLAHE( bands, 256, k, ii )];
%         toc
%         tic;
%         clahe_snp = [clahe_snp; CLAHE( saltnpepper, 256, k, ii )];
%         toc
%         tic;
%         clahe_walle = [clahe_walle; CLAHE( walle, 256, k, ii )];
%         toc
   end
%end

%% Show clahe tests.

imshow(clahe_univ);

%% Save clahe tests.

imwrite(clahe_univ,   'clahe_univ.bmp', 'bmp');



end


